Skip to content
On this page

REST API reference

Reference data

Read-only lists to map names to the ids tickets use.

List tags

GET/api/v1/tags

Ticket tags.

Scope
Any read scope
Unscoped key
Read-only or read-write

Query parameters

per_pageinteger
1-100, default 25.
cursorstring
meta.next_cursor from the previous page.
Request
curl https://zono.support/api/v1/tags \
  -H "Authorization: Bearer $ZONO_TOKEN" \
  -H "Accept: application/json"
Response200 OK
{
    "data": [
        {
            "object": "tag",
            "id": "01j9x0a1b2c3d4e5f6g7h8j9k0",
            "name": "Billing",
            "slug": "billing",
            "color": "#6366f1",
            "created_at": "2026-01-15T10:24:07Z"
        }
    ],
    "links": {
        "first": null,
        "last": null,
        "prev": null,
        "next": "https://zono.support/api/v1/tags?cursor=eyJpZCI6IjAxajl4MnAzcTQiLCJfcG9pbnRzVG9OZXh0SXRlbXMiOnRydWV9"
    },
    "meta": {
        "path": "https://zono.support/api/v1/tags",
        "per_page": 25,
        "next_cursor": "eyJpZCI6IjAxajl4MnAzcTQiLCJfcG9pbnRzVG9OZXh0SXRlbXMiOnRydWV9",
        "prev_cursor": null
    }
}

Get a tag

GET/api/v1/tags/{tag}

One tag.

Scope
Any read scope
Unscoped key
Read-only or read-write

Path parameters

tagstringRequired
Tag id.
Request
curl https://zono.support/api/v1/tags/01j9x0t1a2g3b4c5d6e7f8g9h0 \
  -H "Authorization: Bearer $ZONO_TOKEN" \
  -H "Accept: application/json"
Response200 OK
{
    "object": "tag",
    "id": "01j9x0a1b2c3d4e5f6g7h8j9k0",
    "name": "Billing",
    "slug": "billing",
    "color": "#6366f1",
    "created_at": "2026-01-15T10:24:07Z"
}

List departments

GET/api/v1/departments

Departments.

Scope
Any read scope
Unscoped key
Read-only or read-write

Query parameters

per_pageinteger
1-100, default 25.
cursorstring
meta.next_cursor from the previous page.
Request
curl https://zono.support/api/v1/departments \
  -H "Authorization: Bearer $ZONO_TOKEN" \
  -H "Accept: application/json"
Response200 OK
{
    "data": [
        {
            "object": "department",
            "id": "01j9x0a1b2c3d4e5f6g7h8j9k0",
            "name": "Billing",
            "description": "description",
            "active": true,
            "created_at": "2026-01-15T10:24:07Z"
        }
    ],
    "links": {
        "first": null,
        "last": null,
        "prev": null,
        "next": "https://zono.support/api/v1/departments?cursor=eyJpZCI6IjAxajl4MnAzcTQiLCJfcG9pbnRzVG9OZXh0SXRlbXMiOnRydWV9"
    },
    "meta": {
        "path": "https://zono.support/api/v1/departments",
        "per_page": 25,
        "next_cursor": "eyJpZCI6IjAxajl4MnAzcTQiLCJfcG9pbnRzVG9OZXh0SXRlbXMiOnRydWV9",
        "prev_cursor": null
    }
}

Get a department

GET/api/v1/departments/{department}

One department.

Scope
Any read scope
Unscoped key
Read-only or read-write

Path parameters

departmentstringRequired
Department id.
Request
curl https://zono.support/api/v1/departments/01j9x0d1e2p3t4a5b6c7d8e9f0 \
  -H "Authorization: Bearer $ZONO_TOKEN" \
  -H "Accept: application/json"
Response200 OK
{
    "object": "department",
    "id": "01j9x0a1b2c3d4e5f6g7h8j9k0",
    "name": "Billing",
    "description": "description",
    "active": true,
    "created_at": "2026-01-15T10:24:07Z"
}

List products

GET/api/v1/products

Products.

Scope
Any read scope
Unscoped key
Read-only or read-write

Query parameters

per_pageinteger
1-100, default 25.
cursorstring
meta.next_cursor from the previous page.
Request
curl https://zono.support/api/v1/products \
  -H "Authorization: Bearer $ZONO_TOKEN" \
  -H "Accept: application/json"
Response200 OK
{
    "data": [
        {
            "object": "product",
            "id": 12,
            "name": "Billing",
            "description": "description",
            "active": true,
            "marketplace": "marketplace",
            "external_product_id": "01j9x0a1b2c3d4e5f6g7h8j9k0",
            "url": "https://zono.support/",
            "created_at": "2026-01-15T10:24:07Z"
        }
    ],
    "links": {
        "first": null,
        "last": null,
        "prev": null,
        "next": "https://zono.support/api/v1/products?cursor=eyJpZCI6IjAxajl4MnAzcTQiLCJfcG9pbnRzVG9OZXh0SXRlbXMiOnRydWV9"
    },
    "meta": {
        "path": "https://zono.support/api/v1/products",
        "per_page": 25,
        "next_cursor": "eyJpZCI6IjAxajl4MnAzcTQiLCJfcG9pbnRzVG9OZXh0SXRlbXMiOnRydWV9",
        "prev_cursor": null
    }
}

Get a product

GET/api/v1/products/{product}

One product.

Scope
Any read scope
Unscoped key
Read-only or read-write

Path parameters

productintegerRequired
Product id.
Request
curl https://zono.support/api/v1/products/12 \
  -H "Authorization: Bearer $ZONO_TOKEN" \
  -H "Accept: application/json"
Response200 OK
{
    "object": "product",
    "id": 12,
    "name": "Billing",
    "description": "description",
    "active": true,
    "marketplace": "marketplace",
    "external_product_id": "01j9x0a1b2c3d4e5f6g7h8j9k0",
    "url": "https://zono.support/",
    "created_at": "2026-01-15T10:24:07Z"
}

List team members

GET/api/v1/users

Team members with their role.

Scope
tickets:read
Unscoped key
Read-only or read-write

Query parameters

per_pageinteger
1-100, default 25.
cursorstring
meta.next_cursor from the previous page.
Request
curl https://zono.support/api/v1/users \
  -H "Authorization: Bearer $ZONO_TOKEN" \
  -H "Accept: application/json"
Response200 OK
{
    "data": [
        {
            "object": "user",
            "id": "01j9x0a1b2c3d4e5f6g7h8j9k0",
            "name": "Billing",
            "email": "[email protected]",
            "avatar": "avatar",
            "role": "admin",
            "created_at": "2026-01-15T10:24:07Z"
        }
    ],
    "links": {
        "first": null,
        "last": null,
        "prev": null,
        "next": "https://zono.support/api/v1/users?cursor=eyJpZCI6IjAxajl4MnAzcTQiLCJfcG9pbnRzVG9OZXh0SXRlbXMiOnRydWV9"
    },
    "meta": {
        "path": "https://zono.support/api/v1/users",
        "per_page": 25,
        "next_cursor": "eyJpZCI6IjAxajl4MnAzcTQiLCJfcG9pbnRzVG9OZXh0SXRlbXMiOnRydWV9",
        "prev_cursor": null
    }
}

Get a team member

GET/api/v1/users/{user}

One team member.

Scope
tickets:read
Unscoped key
Read-only or read-write

Path parameters

userstringRequired
User id.
Request
curl https://zono.support/api/v1/users/01j9x0u1v2w3x4y5z6a7b8c9d0 \
  -H "Authorization: Bearer $ZONO_TOKEN" \
  -H "Accept: application/json"
Response200 OK
{
    "object": "user",
    "id": "01j9x0a1b2c3d4e5f6g7h8j9k0",
    "name": "Billing",
    "email": "[email protected]",
    "avatar": "avatar",
    "role": "admin",
    "created_at": "2026-01-15T10:24:07Z"
}